org.eclipse.aether.util

## Class ConfigUtils

- java.lang.Object
- - org.eclipse.aether.util.ConfigUtils

-     public final class ConfigUtils
      extends Object

  A utility class to read configuration properties from a repository system session.
  See Also:
    `RepositorySystemSession.getConfigProperties()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getBoolean(Map<?,?> properties, boolean defaultValue, String... keys)` Gets the specified configuration property.
    `static boolean` | `getBoolean(RepositorySystemSession session, boolean defaultValue, String... keys)` Gets the specified configuration property.
    `static int` | `getInteger(Map<?,?> properties, int defaultValue, String... keys)` Gets the specified configuration property.
    `static int` | `getInteger(RepositorySystemSession session, int defaultValue, String... keys)` Gets the specified configuration property.
    `static List<?>` | `getList(Map<?,?> properties, List<?> defaultValue, String... keys)` Gets the specified configuration property.
    `static List<?>` | `getList(RepositorySystemSession session, List<?> defaultValue, String... keys)` Gets the specified configuration property.
    `static long` | `getLong(Map<?,?> properties, long defaultValue, String... keys)` Gets the specified configuration property.
    `static long` | `getLong(RepositorySystemSession session, long defaultValue, String... keys)` Gets the specified configuration property.
    `static Map<?,?>` | `getMap(Map<?,?> properties, Map<?,?> defaultValue, String... keys)` Gets the specified configuration property.
    `static Map<?,?>` | `getMap(RepositorySystemSession session, Map<?,?> defaultValue, String... keys)` Gets the specified configuration property.
    `static Object` | `getObject(Map<?,?> properties, Object defaultValue, String... keys)` Gets the specified configuration property.
    `static Object` | `getObject(RepositorySystemSession session, Object defaultValue, String... keys)` Gets the specified configuration property.
    `static String` | `getString(Map<?,?> properties, String defaultValue, String... keys)` Gets the specified configuration property.
    `static String` | `getString(RepositorySystemSession session, String defaultValue, String... keys)` Gets the specified configuration property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getObject

          public static Object getObject(Map<?,?> properties,
                         Object defaultValue,
                         String... keys)

      Gets the specified configuration property.
      Parameters:
        `properties` - The configuration properties to read, must not be `null`.
        `defaultValue` - The default value to return in case the property isn't set, may be `null`.
        `keys` - The properties to read, must not be `null`. The specified keys are read one after one until a valid value is found.
      Returns:
        The property value or `null` if none.

    - #### getObject

          public static Object getObject(RepositorySystemSession session,
                         Object defaultValue,
                         String... keys)

      Gets the specified configuration property.
      Parameters:
        `session` - The repository system session from which to read the configuration property, must not be `null`.
        `defaultValue` - The default value to return in case the property isn't set, may be `null`.
        `keys` - The properties to read, must not be `null`. The specified keys are read one after one until a valid value is found.
      Returns:
        The property value or `null` if none.

    - #### getString

          public static String getString(Map<?,?> properties,
                         String defaultValue,
                         String... keys)

      Gets the specified configuration property.
      Parameters:
        `properties` - The configuration properties to read, must not be `null`.
        `defaultValue` - The default value to return in case the property isn't set, may be `null`.
        `keys` - The properties to read, must not be `null`. The specified keys are read one after one until a valid value is found.
      Returns:
        The property value or `null` if none.

    - #### getString

          public static String getString(RepositorySystemSession session,
                         String defaultValue,
                         String... keys)

      Gets the specified configuration property.
      Parameters:
        `session` - The repository system session from which to read the configuration property, must not be `null`.
        `defaultValue` - The default value to return in case the property isn't set, may be `null`.
        `keys` - The properties to read, must not be `null`. The specified keys are read one after one until a valid value is found.
      Returns:
        The property value or `null` if none.

    - #### getInteger

          public static int getInteger(Map<?,?> properties,
                       int defaultValue,
                       String... keys)

      Gets the specified configuration property.
      Parameters:
        `properties` - The configuration properties to read, must not be `null`.
        `defaultValue` - The default value to return in case the property isn't set.
        `keys` - The properties to read, must not be `null`. The specified keys are read one after one until a valid value is found.
      Returns:
        The property value.

    - #### getInteger

          public static int getInteger(RepositorySystemSession session,
                       int defaultValue,
                       String... keys)

      Gets the specified configuration property.
      Parameters:
        `session` - The repository system session from which to read the configuration property, must not be `null`.
        `defaultValue` - The default value to return in case the property isn't set.
        `keys` - The properties to read, must not be `null`. The specified keys are read one after one until a valid value is found.
      Returns:
        The property value.

    - #### getLong

          public static long getLong(Map<?,?> properties,
                     long defaultValue,
                     String... keys)

      Gets the specified configuration property.
      Parameters:
        `properties` - The configuration properties to read, must not be `null`.
        `defaultValue` - The default value to return in case the property isn't set.
        `keys` - The properties to read, must not be `null`. The specified keys are read one after one until a valid value is found.
      Returns:
        The property value.

    - #### getLong

          public static long getLong(RepositorySystemSession session,
                     long defaultValue,
                     String... keys)

      Gets the specified configuration property.
      Parameters:
        `session` - The repository system session from which to read the configuration property, must not be `null`.
        `defaultValue` - The default value to return in case the property isn't set.
        `keys` - The properties to read, must not be `null`. The specified keys are read one after one until a valid value is found.
      Returns:
        The property value.

    - #### getBoolean

          public static boolean getBoolean(Map<?,?> properties,
                           boolean defaultValue,
                           String... keys)

      Gets the specified configuration property.
      Parameters:
        `properties` - The configuration properties to read, must not be `null`.
        `defaultValue` - The default value to return in case the property isn't set.
        `keys` - The properties to read, must not be `null`. The specified keys are read one after one until a valid value is found.
      Returns:
        The property value.

    - #### getBoolean

          public static boolean getBoolean(RepositorySystemSession session,
                           boolean defaultValue,
                           String... keys)

      Gets the specified configuration property.
      Parameters:
        `session` - The repository system session from which to read the configuration property, must not be `null`.
        `defaultValue` - The default value to return in case the property isn't set.
        `keys` - The properties to read, must not be `null`. The specified keys are read one after one until a valid value is found.
      Returns:
        The property value.

    - #### getList

          public static List<?> getList(Map<?,?> properties,
                        List<?> defaultValue,
                        String... keys)

      Gets the specified configuration property.
      Parameters:
        `properties` - The configuration properties to read, must not be `null`.
        `defaultValue` - The default value to return in case the property isn't set, may be `null`.
        `keys` - The properties to read, must not be `null`. The specified keys are read one after one until a valid value is found.
      Returns:
        The property value or `null` if none.

    - #### getList

          public static List<?> getList(RepositorySystemSession session,
                        List<?> defaultValue,
                        String... keys)

      Gets the specified configuration property.
      Parameters:
        `session` - The repository system session from which to read the configuration property, must not be `null`.
        `defaultValue` - The default value to return in case the property isn't set, may be `null`.
        `keys` - The properties to read, must not be `null`. The specified keys are read one after one until a valid value is found.
      Returns:
        The property value or `null` if none.

    - #### getMap

          public static Map<?,?> getMap(Map<?,?> properties,
                        Map<?,?> defaultValue,
                        String... keys)

      Gets the specified configuration property.
      Parameters:
        `properties` - The configuration properties to read, must not be `null`.
        `defaultValue` - The default value to return in case the property isn't set, may be `null`.
        `keys` - The properties to read, must not be `null`. The specified keys are read one after one until a valid value is found.
      Returns:
        The property value or `null` if none.

    - #### getMap

          public static Map<?,?> getMap(RepositorySystemSession session,
                        Map<?,?> defaultValue,
                        String... keys)

      Gets the specified configuration property.
      Parameters:
        `session` - The repository system session from which to read the configuration property, must not be `null`.
        `defaultValue` - The default value to return in case the property isn't set, may be `null`.
        `keys` - The properties to read, must not be `null`. The specified keys are read one after one until a valid value is found.
      Returns:
        The property value or `null` if none.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.